Up

# NSHelpPanel

### Authors

Scott Christley (`scottc@net-community.com`)

Copyright: (C) 1996 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSHelpPanel class
2. Software documentation for the NSApplication(NSHelpPanel) category

# Software documentation for the NSHelpPanel class

## NSHelpPanel : NSPanel

> Declared in:
>   AppKit/NSHelpPanel.h

> Conforms to:
>   NSCoding

> Standards:
> - OpenStep
> - NotMacOS-X
> - GNUstep

Description forthcoming.

Method summary

- +attachHelpFile:markerName:to:
- +detachHelpFrom:
- +setHelpDirectory:
- +sharedHelpPanel
- +sharedHelpPanelWithDirectory:
- -addSupplement:inPath:
- -encodeWithCoder:
- -helpDirectory
- -helpFile
- -initWithCoder:
- -print:
- -showFile:atMarker:
- -showHelpAttachedTo:

### attachHelpFile:markerName:to:

+ (void) attachHelpFile: (NSString*)filename markerName: (NSString*)markerName to: (id)anObject;

Description forthcoming.

### detachHelpFrom:

+ (void) detachHelpFrom: (id)anObject;

Description forthcoming.

### setHelpDirectory:

+ (void) setHelpDirectory: (NSString*)helpDirectory;

Description forthcoming.

### sharedHelpPanel

+ (NSHelpPanel*) sharedHelpPanel;

Description forthcoming.

### sharedHelpPanelWithDirectory:

+ (NSHelpPanel*) sharedHelpPanelWithDirectory: (NSString*)helpDirectory;

Description forthcoming.

### addSupplement:inPath:

- (void) addSupplement: (NSString*)helpDirectory inPath: (NSString*)supplementPath;

Description forthcoming.

### encodeWithCoder:

- (void) encodeWithCoder: (NSCoder*)aCoder;

Description forthcoming.

### helpDirectory

- (NSString*) helpDirectory;

Description forthcoming.

### helpFile

- (NSString*) helpFile;

Description forthcoming.

### initWithCoder:

- (id) initWithCoder: (NSCoder*)aDecoder;

Description forthcoming.

### print:

- (void) print: (id)sender;

Description forthcoming.

### showFile:atMarker:

- (void) showFile: (NSString*)filename atMarker: (NSString*)markerName;

Description forthcoming.

### showHelpAttachedTo:

- (BOOL) showHelpAttachedTo: (id)anObject;

Description forthcoming.

# Software documentation for the NSApplication(NSHelpPanel) category

## NSApplication(NSHelpPanel)

> Declared in:
>   AppKit/NSHelpPanel.h

> Standards:
> - OpenStep
> - NotMacOS-X
> - GNUstep

Description forthcoming.

Method summary

- -orderFrontHelpPanel:

### orderFrontHelpPanel:

- (void) orderFrontHelpPanel: (id)sender;

Description forthcoming.

Up